HELP2MAN(1)

NOMBRE
help2man - genera una página de manual sencilla

SINOPSIS
help2man [OPCIÓN]... EJECUTABLE

DESCRIPCIÓN
`help2man' genera una página de manual a partir de la salida de `--help' y de `--version'.

-n, --name=CADENA
    descripción del párrafo NAME

-s, --section=SECCIÓN
    número de sección de la página del manual (1, 6, 8)

-m, --manual=TEXTO
    nombre del manual (órdenes de usuario, ...)

-S, --source=TEXTO
    fuente del programa (FSF, Debian, ...)

-L, --locale=CADENA
    selección local (predefinida "C")

-i, --include=FICHERO
    incluir material de `FICHERO'

-I, --opt-include=FICHERO incluir material de `FICHERO' si existe

-o, --output=FICHERO
    enviar salida a `FICHERO'

-p, --info-page=TEXTO
    nombre de la página del manual Texinfo

-N, --no-info
    suprimir el puntero al manual Texinfo

-l, --libtool
    excluir `lt-' del nombre del programa

--help
    imprimir esta ayuda y, a continuación, salir

--version
    imprimir el número de versión y, a continuación, salir

EJECUTABLE debería aceptar las opciones `--help' y `--version' y sacar el resultado por la salida estándar, aunque se pueden especificar alternativas utilizando:

-h, --help-option=CADENA
    CADENA para la opción de ayuda

-v, --version-option=CADENA
    CADENA para la opción de versión

--version-string=CADENA
    CADENA para la versión

--no-discard-stderr
    incluir la salida estándar cuando se procese la opción output

FICHEROS DE INCLUSIÓN
Puede añadirse material en la salida generada con las opciones --include y --opt-include. El formato es muy simple:
    [sección]
    texto
    /patrón/
    texto Los bloques de texto *roff literal se añaden a la salida, bien al comienzo de la [ sección ] .BI indicada (insensible a mayúsculas y minúsculas), bien despuñes de un párrafo que coincida con /patrón/. Los patrones utilizan la sintaxis de las expresiones regulares de Perl y pueden ir seguidos de los modificadores i, s o m (véase perlre(1)). Las líneas situadas antes de la primera sección o patrón que empiezan por `-' se procesan como opciones. El resto se ignora silenciosamente y puede utilizarse como comentarios, claves RCS y cosas similares. El orden en que salen las secciones (aquellas que estén incluidas) es:
    NOMBRE
    SINOPSIS
    DESCRIPCIÓN
    OPCIONES
    ENTORNO
    FICHEROS
    EJEMPLOS
    otras
    AUTOR
    INFORMAR DE ERRORES
    COPYRIGHT
    VÉASE TAMBIÉN Todas las secciones [NOMBRE] o [SINOPSIS] que aparezcan en el fichero de inclusión reemplazan las que se hubieran generado automáticamente (aunque se puede evitar lo anterior con --name si hace falta). Otras secciones se insertan delante de la salida generada automáticamente para las secciones estándar indicadas arriba o incuidas en otras (arriba) en el orden en que se encuentran en el fichero «include». Puede indicarse explícitamente dónde colocar el texto dentro de la sección utilizando la sintaxis [<sección], [=sección] o [>sección] para colocar el texto adicional antes, en lugar de, o después de la salida predefinida, respectivamente.

DISPONIBILIDAD
La última versión de esta distribución está disponible en línea desde:
    ftp://ftp.gnu.org/gnu/help2man/

AUTOR
Escrito por Brendan O'Dea <boo@debian.org>

INFORMAR DE ERRORES
Informar de errores a <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Free Software Foundation, Inc.
Esto es software libre; consulte el código fuente para ver las condiciones de copia. SIN NINGUNA garantía, ni siquiera COMERCIAL ni de ADECUACIÓN PARA NINGÚN FIN PARTICULAR.

VÉASE TAMBIÉN
La documentación completa de help2man se mantiene como manual Texinfo. Si los programas info .B y help2man están adecuadamente instalados en su sistema, el comando

    info help2man

debería darle acceso al manual completo.